<?php
// src/OgGitBundle/Controller/OgGitController.php

namespace App\OgGitBundle\Controller;
use OpenApi\Annotations as OA;
use Psr\Log\LoggerInterface;
use App\OgGitBundle\Service\CurlRequestService;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use App\OgGitBundle\Message\InstallOgliveMessage;
use Symfony\Component\Messenger\MessageBusInterface;
use Symfony\Component\DependencyInjection\ParameterBag\ParameterBagInterface;
use Symfony\Contracts\HttpClient\HttpClientInterface;
use Exception;


class OgGitController
{
    private $logger;
    /**
     * @OA\Info(title="OgGit API", version="1.0")
     */

    private $curlRequestService;
    private $httpClient;
    private $params;
    public function __construct(CurlRequestService $curlRequestService, LoggerInterface $logger, HttpClientInterface $httpClient, ParameterBagInterface $params)
    {
        $this->curlRequestService = $curlRequestService;
        $this->logger = $logger;
        $this->httpClient = $httpClient;
        $this->params = $params; // Accedemos a las variables de entorno a través de ParameterBagInterface
    }




/**
 * @Route("/oggit/v1/status", name="getStatus", methods={"GET"})
 * @OA\Get(
 *     path="/oggit/v1/status",
 *     summary="Get oggit status",
 *     @OA\Response(
 *         response=200,
 *         description="Status retrieved successfully",
 *         @OA\JsonContent(
 *             type="object",
 *             @OA\Property(property="message", type="string")
 *         )
 *     )
 * )
 */
public function getStatus(): Response
{
    $response = [
        'message' => 'Todo OK'
    ];

    return new JsonResponse($response, 200);
}







}